
Robotics Service Bus - Tasks #1014
Make Spread conditionally dependant in Python RSB implementation
06/21/2012 03:33 PM - S. Wrede

Status: Resolved Start date: 06/21/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7
Description

RSB Python should no longer depend on Python by default. Relevant to distribute RSB without Python.

Associated revisions
Revision 5f743a52 - 06/22/2012 03:16 PM - J. Wienke

    -  make it possible to instantiate the inprocess transport
    -  make socket the default transport
    -  make spread optional, fixes #1014
    -  fix a bug where an unknown OutConnector was used when creating a socket connector
    -  port all unit tests to use the local transport as a default

History
#1 - 06/21/2012 06:34 PM - J. Wienke
- Status changed from New to In Progress

#2 - 06/22/2012 03:20 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3616.
